Subject: Re: [Cbor] Spencer Dawkins' No Objection on charter-ietf-cbor-00-01: (with COMMENT)

From: Alexey Melnikov <[email-masked]>
Date: Thu, 01 Dec 2016 10:12:45 +0000

On Thu, Dec 1, 2016, at 06:13 AM, Spencer Dawkins at IETF wrote:

> Hi, Carsten,

> On Wed, Nov 30, 2016 at 10:54 PM, Carsten Bormann
> <[email-masked]> wrote:
>> Hi Spencer,

>>
>>  On 1 Dec 2016, at 04:48, Spencer Dawkins
>>  <[email-masked]> wrote:
>>  >
>>  > or other CBOR extension proposals
>>
>> So far, the text has been careful to limit the scope to work that
>> uses existing extension points defined by RFC 7049 (for the two
>> documents cited. specifically, by defining CBOR tags).  "or other
>> CBOR extension proposals” might be taken to completely open Pandora’s
>> box here.
>> 

>>  But I agree that if something comes up that is of the same quality
>>  as the two documents, the WG should be allowed to look into it.
> 

> Thanks for the quick response. 

> So, would something like 

> "Where these CBOR extensions, or other CBOR extension proposals of
> similar quality,
> are deemed useful and do not require significant new development,
> the CBOR WG
> will complete these specifications as well." 

> be worth saying? 

I would rather see the first 4 deliverables are completed before writing
a blank check to allow any other work. But I welcome other opinions.

> And either answer is OK, I'm just trying to think ahead :-)

> Spencer

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Thu, 1 Dec 2016 12:41:49 -0600

Hi, Alexey,

On Thu, Dec 1, 2016 at 4:12 AM, Alexey Melnikov <[email-masked]>
wrote:

> On Wed, Nov 30, 2016 at 10:54 PM, Carsten Bormann <[email-masked]> wrote:
>
> Hi Spencer,
>
> On 1 Dec 2016, at 04:48, Spencer Dawkins <[email-masked]>
> wrote:
> >
> So far, the text has been careful to limit the scope to work that uses
> existing extension points defined by RFC 7049 (for the two documents cited.
> specifically, by defining CBOR tags).  "or other CBOR extension proposals”
> might be taken to completely open Pandora’s box here.
>
> But I agree that if something comes up that is of the same quality as the
> two documents, the WG should be allowed to look into it.
>
>
> "Where these CBOR extensions, or other CBOR extension proposals of similar
> quality,
> are deemed useful and do not require significant new development, the
> CBOR WG
> I would rather see the first 4 deliverables are completed before writing a
> blank check to allow any other work. But I welcome other opinions.
>

I was wondering if the tight chartering language was intentional, given
that the bar for the two extensions seemed pretty high and the amount of
work you were authorizing seemed pretty low, and whether there might be
other proposed extensions that would also meet that bar and not require
much work.

If nothing else comes to mind immediately, my question is a NOOP anyway,
and if you'd prefer to "pay as you go" on charter updates with a new
working group, the current language is exactly right.

You're the AD, so I know you'll do the right thing.

Spencer